# $Revision: 1.9 $, $Date: 2004/11/27 19:01:23 $

%define 	module	TimeFormat

Summary:	An alternative to using time.strftime()
Summary(pl):	Modu konkurencyjny dla time.strftime()
Name:		python-%{module}
Version:	1.1.0
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.owlfish.com/software/TimeFormat/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	e228ba722218da492ae541f7571e1412
URL:		http://www.owlfish.com/software/TimeFormat/index.html
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TimeFormat implements new Python time and date formatting codes that
provide more flexibility to time.strftime(). The implementation avoids
using the C library time.strftime() where possible, so ensuring the
same operation across most platforms.

%description -l pl
TimeFormat implementuje od nowa funkcje formatujce dat i czas w
Pythonie, odznaczajce si wiksz elastycznoci od time.strftime().
Implementacja stara si unikn uywania pochodzcej z biblioteki C
funkcji time.strftime() tam, gdzie to tylko moliwe, dziki czemu
czemu modu powinien tak samo dziaa na wikszoci platform
sprztowych.

%package doc
Summary:	Documentation for TimeFormat module
Summary(pl):	Dokumentacja do moduu TimeFormat
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for TimeFormat Python module.

%description doc -l pl
Modu zawierajcy dokumentacj dla moduu Pythona TimeFormat.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt
%{py_sitescriptdir}/timeformat.py[oc]

%files doc
%defattr(644,root,root,755)
%doc documentation/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TimeFormat.spec,v $
Revision 1.9  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.8  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/06/09 07:55:52  zboczuch
- updated to 1.1.0

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2004/05/20 19:42:23  zboczuch
- typos

Revision 1.4  2004/05/19 14:51:53  zboczuch
- s/-l p$/-l pl/ in subpackage descriptions

Revision 1.3  2004/05/19 10:25:03  zboczuch
- correct group in -doc subpackage

Revision 1.2  2004/05/18 20:19:52  qboosh
- noarch

Revision 1.1  2004/05/18 19:54:30  qboosh
- new, from Marcin Gajda
